abbreviate {arules} | R Documentation

## Abbreviate function for item labels in transactions, itemMatrix and associations

### Description

Provides the generic function and the methods to abbreviate long item labels in transactions, associations (rules and itemsets) and transaction ID lists. Note that `abbreviate` is not a generic and this arules defines a generic with the R's abbreviate as the default.

### Usage

    abbreviate(names.arg, ...)
    ## S4 method for signature 'itemMatrix'
    abbreviate(names.arg, minlength = 4, ..., method = "both.sides")
    ## S4 method for signature 'rules'
    abbreviate(names.arg, minlength = 4, ..., method = "both.sides")
    ## S4 method for signature 'itemsets'
    abbreviate(names.arg, minlength = 4, ..., method = "both.sides")
    ## S4 method for signature 'transactions'
    abbreviate(names.arg, minlength = 4, ..., method = "both.sides")
    ## S4 method for signature 'tidLists'
    abbreviate(names.arg, minlength = 4, ..., method = "both.sides")

### Arguments

`names.arg` | an object of class "transactions", "itemMatrix", "itemsets", "rules" or "tidLists".
`minlength` | number of characters allowed in abbreviation
`method` | apply to level and value (both.sides)
`...` | further arguments passed on to the default abbreviation function.

### Author(s)

Sudheer Chelluboina and Michael Hahsler based on code by Martin Vodenicharov.

### See Also

`abbreviate` in base.

### Examples

    data(Adult)
    inspect(head(Adult, 1))

    Adult_abbr <- abbreviate(Adult, 15)
    inspect(head(Adult_abbr, 1))

[Package arules version 1.6-3 Index]